import request from '@/utils/request'

// 查询我的的消息列表
export function listEhsMyMessage(query) {
  return request({
    url: '/ehsMyMessage/ehsMyMessage/list',
    method: 'get',
    params: query
  })
}

// 查询我的的消息详细
export function getEhsMyMessage(myMessageId) {
  return request({
    url: '/ehsMyMessage/ehsMyMessage/' + myMessageId,
    method: 'get'
  })
}

// 新增我的的消息
export function addEhsMyMessage(data) {
  return request({
    url: '/ehsMyMessage/ehsMyMessage',
    method: 'post',
    data: data
  })
}

// 修改我的的消息
export function updateEhsMyMessage(data) {
  return request({
    url: '/ehsMyMessage/ehsMyMessage',
    method: 'put',
    data: data
  })
}

// 删除我的的消息
export function delEhsMyMessage(myMessageId) {
  return request({
    url: '/ehsMyMessage/ehsMyMessage/' + myMessageId,
    method: 'delete'
  })
}

// 查询我的的未读消息
export function getUnread() {
  return request({
    url: '/ehsMyMessage/ehsMyMessage/getUnread',
    method: 'get'
  })
}
